AccountsOperations Class
AccountsOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectAccountsOperations
Constructor
AccountsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Methods
| get_access_keys |
List the authorization keys associated with this account. |
| get_account_properties |
Get an account. |
| regenerate_access_key |
Regenerate the authorization keys associated with this data catalog. |
| update_account_properties |
Updates an account. |
get_access_keys
List the authorization keys associated with this account.
async get_access_keys(**kwargs: Any) -> Any
Returns
JSON object
Return type
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"atlasKafkaPrimaryEndpoint": "str", # Optional. Gets or sets the primary connection string.
"atlasKafkaSecondaryEndpoint": "str" # Optional. Gets or sets the secondary connection string.
}
get_account_properties
Get an account.
async get_account_properties(**kwargs: Any) -> Any
Returns
JSON object
Return type
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"id": "str", # Optional. Gets or sets the identifier.
"identity": {
"principalId": "str", # Optional. Service principal object Id.
"tenantId": "str", # Optional. Tenant Id.
"type": "SystemAssigned" # Optional. Default value is "SystemAssigned". Identity Type. Possible values include: "SystemAssigned".
},
"location": "str", # Optional. Gets or sets the location.
"name": "str", # Optional. Gets or sets the name.
"properties": {
"cloudConnectors": {
"awsExternalId": "str" # Optional. AWS external identifier."nConfigured in AWS to allow use of the role arn used for scanning.
},
"createdAt": "2020-02-20 00:00:00", # Optional. Gets the time at which the entity was created.
"createdBy": "str", # Optional. Gets the creator of the entity.
"createdByObjectId": "str", # Optional. Gets the creators of the entity's object id.
"endpoints": {
"catalog": "str", # Optional. Gets the catalog endpoint.
"guardian": "str", # Optional. Gets the guardian endpoint.
"scan": "str" # Optional. Gets the scan endpoint.
},
"friendlyName": "str", # Optional. Gets or sets the friendly name.
"managedResourceGroupName": "str", # Optional. Gets or sets the managed resource group name.
"managedResources": {
"eventHubNamespace": "str", # Optional. Gets the managed event hub namespace resource identifier.
"resourceGroup": "str", # Optional. Gets the managed resource group resource identifier. This resource group will host resource dependencies for the account.
"storageAccount": "str" # Optional. Gets the managed storage account resource identifier.
},
"privateEndpointConnections": [
{
"id": "str", # Optional. Gets or sets the identifier.
"name": "str", # Optional. Gets or sets the name.
"properties": {
"privateEndpoint": {
"id": "str" # Optional. The private endpoint identifier.
},
"privateLinkServiceConnectionState": {
"actionsRequired": "str", # Optional. The required actions.
"description": "str", # Optional. The description.
"status": "str" # Optional. The status. Possible values include: "Unknown", "Pending", "Approved", "Rejected", "Disconnected".
},
"provisioningState": "str" # Optional. The provisioning state.
},
"type": "str" # Optional. Gets or sets the type.
}
],
"provisioningState": "str", # Optional. Gets or sets the state of the provisioning. Possible values include: "Unknown", "Creating", "Moving", "Deleting", "SoftDeleting", "SoftDeleted", "Failed", "Succeeded", "Canceled".
"publicNetworkAccess": "Enabled" # Optional. Default value is "Enabled". Gets or sets the public network access. Possible values include: "NotSpecified", "Enabled", "Disabled". Default value: "Enabled".
},
"sku": {
"capacity": 0, # Optional. Gets or sets the sku capacity. Possible values include: 4, 16.
"name": "Standard" # Optional. Default value is "Standard". Gets or sets the sku name. Possible values include: "Standard".
},
"systemData": {
"createdAt": "2020-02-20 00:00:00", # Optional. The timestamp of resource creation (UTC).
"createdBy": "str", # Optional. The identity that created the resource.
"createdByType": "str", # Optional. The type of identity that created the resource. Possible values include: "User", "Application", "ManagedIdentity", "Key".
"lastModifiedAt": "2020-02-20 00:00:00", # Optional. The timestamp of the last modification the resource (UTC).
"lastModifiedBy": "str", # Optional. The identity that last modified the resource.
"lastModifiedByType": "str" # Optional. The type of identity that last modified the resource. Possible values include: "User", "Application", "ManagedIdentity", "Key".
},
"tags": {
"str": "str" # Optional. A set of tags. Tags on the azure resource.
},
"type": "str" # Optional. Gets or sets the type.
}
regenerate_access_key
Regenerate the authorization keys associated with this data catalog.
async regenerate_access_key(key_options: Any, **kwargs: Any) -> Any
Parameters
- key_options
- <xref:Any>
Returns
JSON object
Return type
Exceptions
Examples
# JSON input template you can fill out and use as your body input.
key_options = {
"keyType": "str" # Optional. The access key type. Possible values include: "PrimaryAtlasKafkaKey", "SecondaryAtlasKafkaKey".
}
# response body for status code(s): 200
response.json() == {
"atlasKafkaPrimaryEndpoint": "str", # Optional. Gets or sets the primary connection string.
"atlasKafkaSecondaryEndpoint": "str" # Optional. Gets or sets the secondary connection string.
}
update_account_properties
Updates an account.
async update_account_properties(account_update_parameters: Any, **kwargs: Any) -> Any
Parameters
- account_update_parameters
- <xref:Any>
Returns
JSON object
Return type
Exceptions
Examples
# JSON input template you can fill out and use as your body input.
account_update_parameters = {
"friendlyName": "str" # Optional. The friendly name for the azure resource.
}
# response body for status code(s): 200
response.json() == {
"id": "str", # Optional. Gets or sets the identifier.
"identity": {
"principalId": "str", # Optional. Service principal object Id.
"tenantId": "str", # Optional. Tenant Id.
"type": "SystemAssigned" # Optional. Default value is "SystemAssigned". Identity Type. Possible values include: "SystemAssigned".
},
"location": "str", # Optional. Gets or sets the location.
"name": "str", # Optional. Gets or sets the name.
"properties": {
"cloudConnectors": {
"awsExternalId": "str" # Optional. AWS external identifier."nConfigured in AWS to allow use of the role arn used for scanning.
},
"createdAt": "2020-02-20 00:00:00", # Optional. Gets the time at which the entity was created.
"createdBy": "str", # Optional. Gets the creator of the entity.
"createdByObjectId": "str", # Optional. Gets the creators of the entity's object id.
"endpoints": {
"catalog": "str", # Optional. Gets the catalog endpoint.
"guardian": "str", # Optional. Gets the guardian endpoint.
"scan": "str" # Optional. Gets the scan endpoint.
},
"friendlyName": "str", # Optional. Gets or sets the friendly name.
"managedResourceGroupName": "str", # Optional. Gets or sets the managed resource group name.
"managedResources": {
"eventHubNamespace": "str", # Optional. Gets the managed event hub namespace resource identifier.
"resourceGroup": "str", # Optional. Gets the managed resource group resource identifier. This resource group will host resource dependencies for the account.
"storageAccount": "str" # Optional. Gets the managed storage account resource identifier.
},
"privateEndpointConnections": [
{
"id": "str", # Optional. Gets or sets the identifier.
"name": "str", # Optional. Gets or sets the name.
"properties": {
"privateEndpoint": {
"id": "str" # Optional. The private endpoint identifier.
},
"privateLinkServiceConnectionState": {
"actionsRequired": "str", # Optional. The required actions.
"description": "str", # Optional. The description.
"status": "str" # Optional. The status. Possible values include: "Unknown", "Pending", "Approved", "Rejected", "Disconnected".
},
"provisioningState": "str" # Optional. The provisioning state.
},
"type": "str" # Optional. Gets or sets the type.
}
],
"provisioningState": "str", # Optional. Gets or sets the state of the provisioning. Possible values include: "Unknown", "Creating", "Moving", "Deleting", "SoftDeleting", "SoftDeleted", "Failed", "Succeeded", "Canceled".
"publicNetworkAccess": "Enabled" # Optional. Default value is "Enabled". Gets or sets the public network access. Possible values include: "NotSpecified", "Enabled", "Disabled". Default value: "Enabled".
},
"sku": {
"capacity": 0, # Optional. Gets or sets the sku capacity. Possible values include: 4, 16.
"name": "Standard" # Optional. Default value is "Standard". Gets or sets the sku name. Possible values include: "Standard".
},
"systemData": {
"createdAt": "2020-02-20 00:00:00", # Optional. The timestamp of resource creation (UTC).
"createdBy": "str", # Optional. The identity that created the resource.
"createdByType": "str", # Optional. The type of identity that created the resource. Possible values include: "User", "Application", "ManagedIdentity", "Key".
"lastModifiedAt": "2020-02-20 00:00:00", # Optional. The timestamp of the last modification the resource (UTC).
"lastModifiedBy": "str", # Optional. The identity that last modified the resource.
"lastModifiedByType": "str" # Optional. The type of identity that last modified the resource. Possible values include: "User", "Application", "ManagedIdentity", "Key".
},
"tags": {
"str": "str" # Optional. A set of tags. Tags on the azure resource.
},
"type": "str" # Optional. Gets or sets the type.
}
Feedback
Submit and view feedback for